using System;
using System.Collections.Generic;
using System.Text;

namespace WSPOSInitiative.Common
{
    /// <summary>
    /// .NET FW 3では、ArrayにContainsがないため、このヘルパークラスを用いる。
    /// .NET FW 3 not have Array.Contains, use this helper class. 
    /// </summary>
    public class StringArrayContainsHelper
    {
        public static bool Contains(string[] array, string key)
        {
            foreach(var s in array)
            {
                if (s == key) return true;
            }
            return false;
        }
    }
}
